%global modulename detect-libc

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-detect-libc
Version:        1.0.3
Release:        1%{?dist}
Summary:        Node.js module to detect the C standard library (libc) implementation family and version

License:        ASL 2.0
URL:            https://github.com/lovell/detect-libc#readme
Source0:        https://registry.npmjs.org/detect-libc/-/detect-libc-1.0.3.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Node.js module to detect the C standard library (libc) implementation family and version

%package 1.0.3
Summary:        Node.js module to detect the C standard library (libc) implementation family and version


%description 1.0.3
Node.js module to detect the C standard library (libc) implementation family and version

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
chmod +x %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/bin/detect-libc.js
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/detect-libc.js %{buildroot}/%{_bindir}/detect-libc


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{_bindir}/detect-libc
%{nodejs_dir}/%{modulename}

%files 1.0.3
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 1.0.3-1
- Package automatically generated by npm2srpm
